summaryrefslogtreecommitdiff
path: root/sync-local.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sync-local.sh')
-rwxr-xr-xsync-local.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/sync-local.sh b/sync-local.sh
new file mode 100755
index 0000000..f9bf7b8
--- /dev/null
+++ b/sync-local.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+export BASE=$(cd $(dirname $0);pwd)
+
+source ${BASE}/scripts-common/sync-common.sh
+
+export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
+#branch="android-6.0.0_r26"
+branch="android-n-preview-2"
+
+LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
+LOCAL_MANIFEST_BRANCH="linaro-n-preview"
+
+main "$@"
+
+${BASE}/sync-projects.sh build \
+ bionic \
+ android-patchsets \
+ device/linaro/hikey \
+ kernel/linaro/hisilicon/ \
+ art \
+# external/opencv-upstream \
+
+#export http_proxy=192.168.0.102:37586
+#export https_proxy=192.168.0.102:37586
+./android-patchsets/N-PREVIEW-PATCHSET
+if [ $? -ne 0 ]; then
+ echo "Failed to run N-PREVIEW-PATCHSET"
+ exit 1
+fi
+./android-patchsets/hikey-n-workarounds
+if [ $? -ne 0 ]; then
+ echo "Failed to run hikey-n-workarounds"
+ exit 1
+fi
+
+#./android-patchsets/nexus9-workarounds
+[ -f ./android-patchsets/LIUYQ-PATCHSET ] && ./android-patchsets/LIUYQ-PATCHSET
+if [ $? -ne 0 ]; then
+ echo "Failed to run LIUYQ-PATCHSET"
+ exit 1
+fi
+
+#./build.sh
+exit